Bug 542028 - Review Request: php-pear-Spreadsheet-Excel-Writer - Package for generating Excel spreadsheets
Review Request: php-pear-Spreadsheet-Excel-Writer - Package for generating Ex...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 542500
Blocks: 508817 544722
  Show dependency treegraph
 
Reported: 2009-11-27 19:44 EST by David Nalley
Modified: 2009-12-22 10:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 10:32:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-11-27 19:44:58 EST
Spec URL: http://ke4qqq.fedorapeople.org/php-pear-Spreadsheet-Excel-Writer.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-pear-Spreadsheet-Excel-Writer-0.9.1-1.fc12.src.rpm
Description: Spreadsheet_Excel_Writer was born as a porting of the
Spreadsheet::WriteExcel Perl module to PHP.
It allows writing of Excel spreadsheets without the need for COM objects.
It supports formulas, images (BMP) and all kinds of formatting for text
and cells.
It currently supports the BIFF5 format (Excel 5.0), so functionality
appeared in the latest Excel versions is not yet available.



rpmlint output: 
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../RPMS/noarch/php-pear-Spreadsheet-Excel-Writer-0.9.1-1.fc12.noarch.rpm 
php-pear-Spreadsheet-Excel-Writer.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/php-pear-Spreadsheet-Excel-Writer-0.9.1-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint php-pear-Spreadsheet-Excel-Writer.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

(No documentation is bundled with source)
Comment 1 Remi Collet 2009-11-28 09:15:42 EST
It seems to be an auto-generated spec :

> # Expand this as needed to avoid owning dirs owned by our dependencies
> # and to avoid unowned dirs

So you MUST own all the dir you create (as explicit writen in the Guidelines and in this comment) and you should, then, remove this comment.

> Requires:       php-(OLE) 

This is a bug, see https://bugzilla.redhat.com/show_bug.cgi?id=536756

But I don't think php-pear-OLE is available in Fedora. So you must submit it for review first and set the it as a blocker for this one.
Comment 2 David Nalley 2009-11-28 20:34:56 EST
(In reply to comment #1)
> It seems to be an auto-generated spec :

Indeed it is. 
> 
> > # Expand this as needed to avoid owning dirs owned by our dependencies
> > # and to avoid unowned dirs
> 
> So you MUST own all the dir you create (as explicit writen in the Guidelines
> and in this comment) and you should, then, remove this comment.

ouch, thanks for catching that. 


> > Requires:       php-(OLE) 
> 
> This is a bug, see https://bugzilla.redhat.com/show_bug.cgi?id=536756
> 
> But I don't think php-pear-OLE is available in Fedora. So you must submit it
> for review first and set the it as a blocker for this one.  

So it is. I have a spec file I am building. I'll submit it hopefully tonight and mark it as blocking this review. 

Thanks for the review Remi.
Comment 4 David Nalley 2009-11-29 18:58:54 EST
Adding php-pear-OLE as a blocker
Comment 5 Remi Collet 2009-12-01 12:19:24 EST
Please, fix
< Requires: php-pear-(OLE)
> Requires: php-pear(OLE)

%clean section is mandatory

Please update to latest version 0.9.2 (great, this package seems back to life) as it fixes a number of bugs, especially php 5.3 compatibility.

package.xml in 0.9.1 is an old V1 one, in 0.9.2 is a new V2
Comment 6 David Nalley 2009-12-02 13:55:37 EST
thanks for catching the %clean problem. 

I have updated spec/srpm to fix above problems and update to 0.9.2

SPEC: http://ke4qqq.fedorapeople.org/php-pear-Spreadsheet-Excel-Writer.spec
SRPM: http://ke4qqq.fedorapeople.org/php-pear-Spreadsheet-Excel-Writer-0.9.2-1.fc12.src.rpm
Comment 7 Remi Collet 2009-12-11 15:51:12 EST
REVIEW:

+ rpmlint is ok
php-pear-Spreadsheet-Excel-Writer.src: I: checking
php-pear-Spreadsheet-Excel-Writer.noarch: I: checking
php-pear-Spreadsheet-Excel-Writer.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines
+ License ok : LGPLv2+
+ License is upstream (LGPL)
+ spec in english and legible
+ no license file in sources is provided
+ sources match the upstream sources
15691145ca8ac71ccd501a38892ee64a  Spreadsheet_Excel_Writer-0.9.2.tgz
+ Source URL ok
+ build  on F12.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ no documentation
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in koji
+ no test suite
+ scriptlets ok
- Final Requires 
php >= 4.1.0
php-pear(OLE) >= 0.5
/usr/bin/pear
+ Final Provides ok
php-pear(Spreadsheet_Excel_Writer) = 0.9.2
php-pear-Spreadsheet-Excel-Writer = 0.9.2-1.fc8
+ Koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1870628

All is ok, except the dependency on httpd...

Just remove the php 4.1.0 (as for previous #542500, just requires php-common when version check is necessary).
Comment 9 Remi Collet 2009-12-12 04:37:30 EST
All is ok now.

***** APPROVED *****
Comment 10 David Nalley 2009-12-12 14:12:36 EST
New Package CVS Request
=======================
Package Name: php-pear-Spreadsheet-Excel-Writer
Short Description: Package for generating excel spreadsheets
Owners: ke4qqq
Branches: F-11 F-12 EL-5
InitialCC: 


Thanks Remi!!
Comment 11 Kevin Fenzi 2009-12-14 12:25:21 EST
cvs done.
Comment 12 David Nalley 2009-12-22 10:32:36 EST
Closing this ticket as this has been pushed to stable

Note You need to log in before you can comment on or make changes to this bug.